Returns a milestone by id for the project template.

GEThttps://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/milestones/{milestoneId}
GET https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/milestones/{milestoneId}

Returns a milestone by id for the project template. The response includes the milestone's dates and status.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectTemplateIdstringRequired
format: uuid

The id of the project template.

milestoneIdstringRequired
format: uuid

The id of the milestone.

Responses

200 OK

application/json

namestring or nullOptional
minLength: 0 maxLength: 255

The name of the milestone.

colorstring or nullOptional
minLength: 0 maxLength: 14

The color of the milestone.

relativeDueDateintegerOptional
format: int64

Relative amount of days the milestone is due after the project creation date when a project gets created with the corresponding project template.

idstringOptional
format: uuid
projectTemplateIdstringOptional
format: uuid
createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

Search documentation